package com.zhyc.module.feed.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zhyc.common.annotation.Excel;
import com.zhyc.common.core.domain.BaseEntity;

/**
 * 原料对象 sg_material
 *
 * @author HashMap
 * @date 2026-01-16
 */
@Data
public class SgMaterial extends BaseEntity {
    private static final long serialVersionUID = 1L;
    private Long userId;
    private Long deptId;
    /**
     * 原料编码
     */
    @Excel(name = "原料编码")
    private String materialId;

    /**
     * 原料名称
     */
    @Excel(name = "原料名称")
    private String materialName;

    /**
     * 颗粒料
     */
    @Excel(name = "颗粒料")
    private Integer isGranular;

    public void setMaterialId(String materialId) {
        this.materialId = materialId;
    }

    public String getMaterialId() {
        return materialId;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setIsGranular(Integer isGranular) {
        this.isGranular = isGranular;
    }

    public Integer getIsGranular() {
        return isGranular;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("materialId", getMaterialId()).append("materialName", getMaterialName()).append("isGranular", getIsGranular()).toString();
    }
}
